/*
 * SLprops.java
 * Copyright (c) 2004, KTH NADA.
 *
 * This file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, see
 * http://opensource.org/licenses/gpl-license.php
 *
 * Martin Hassel, 2004-Oct-06
 * http://www.nada.kth.se/~xmartin/
 */

package moj.lang;

import java.io.File;
import java.io.FileInputStream;
import java.io.OutputStreamWriter;
import java.util.Properties;

/**
 * @author  Martin Hassel
 * @version 2006-Sep-26
 */
public class SLprops {
	// Default values for the properties for StopList
	private static final String _stoplist_file = "";
	private static final String _shortest_word = "0";
	private static final String _longest_word = "0";
	private static final String _minimum_words_per_file = "0";

	// Actual values
	public String stoplistFile;
	public int shortestWord;
	public int longestWord;
	public int minimumWordsPerFile;

	public SLprops(String propsfile) {
		try {
			// Load and set properties for the StopList
			Properties props = new Properties();
			if(new File(propsfile).exists())
				props.load(new FileInputStream(propsfile));
			stoplistFile = props.getProperty("stoplist_file",_stoplist_file);
			shortestWord = Integer.parseInt(props.getProperty("shortest_word",_shortest_word));
			longestWord = Integer.parseInt(props.getProperty("longest_word",_longest_word));
			minimumWordsPerFile = Integer.parseInt(props.getProperty("minimum_words_per_file", _minimum_words_per_file));
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	public void writeProperties(OutputStreamWriter osw) {
		try {
			osw.write("stoplist = " + stoplistFile + "\n");
			osw.write("shortest_word = " + shortestWord + "\n");
			osw.write("longest_word = "  + longestWord + "\n");
			osw.write("minimum_words_per_file = " + minimumWordsPerFile + "\n");
			osw.flush();
		} catch(Exception ex) {
			ex.printStackTrace();
		}
	}
}
